CLAMP_VAL(9)

NAME
clamp_val - return a value clamped to a given range using val's type

SYNOPSIS

clamp_val(val, lo, hi);

ARGUMENTS

val
    current value

lo
    minimum allowable value

hi
    maximum allowable value

DESCRIPTION

This macro does no typechecking and uses temporary variables of whatever type the input argument 'val' is. This is useful when val is an unsigned type and min and max are literals that will otherwise be assigned a signed integer type.

COPYRIGHT